Pango::ItemTraits Struct Reference

`#include <pangomm/item.h>`

## Public Types

typedef Pango::Item | CppType
typedef const PangoItem * | CType
typedef PangoItem * | CTypeNonConst

## Static Public Member Functions

static CType | to_c_type (const CppType & obj)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Member Typedef Documentation

## CppType

typedef Pango::Item Pango::ItemTraits::CppType

## CType

typedef const PangoItem* Pango::ItemTraits::CType

## CTypeNonConst

typedef PangoItem* Pango::ItemTraits::CTypeNonConst

## Member Function Documentation

## release_c_type()

void Pango::ItemTraits::release_c_type | ( | CType | ptr | ) |

inline static

## to_c_type() [1/2]

CType Pango::ItemTraits::to_c_type | ( | const CppType & | obj | ) |

inline static

## to_c_type() [2/2]

CType Pango::ItemTraits::to_c_type | ( | CType | ptr | ) |

inline static

## to_cpp_type()

CppType Pango::ItemTraits::to_cpp_type | ( | CType | ptr | ) |

inline static